﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Telerik.WinControls.UI;

namespace MccbCutText
{
    public partial class Form1 : Form
    {
        private RadMultiColumnComboBox combo;
        private RadButton button;
        private Random rnd = new Random();

        public Form1()
        {
            InitializeComponent();

            combo = new RadMultiColumnComboBox();
            this.Controls.Add(this.combo);
            this.combo.Dock = DockStyle.Top;

            button = new RadButton();
            this.Controls.Add(button);
            button.Dock = DockStyle.Bottom;

            button.Click += button_Click;
        }

        void button_Click(object sender, EventArgs e)
        {
            this.combo.Text = this.GetRandomString(rnd.Next(10, 20));
        }

        private string GetRandomString(int legnth)
        {
            StringBuilder sb = new StringBuilder("INITIAL");
            for (int i = 0; i < legnth; i++)
            {
                sb.Append((char)rnd.Next('a', 'z' + 1));
            }

            return sb.ToString();
        }
    }
}
